jQuery("#pt_save_pricing_table_btn").live('click', function(event) {
	event.preventDefault();
	
	jQuery("#pt_save_pricing_table_btn").attr('disabled','disabled');
	
	var id = encodeURIComponent(jQuery('#pt_id').val());
	var name = encodeURIComponent(jQuery('#pt_name').val());
	var nb_columns = encodeURIComponent(jQuery('#pt_nb_columns').val());
	var nb_lines = encodeURIComponent(jQuery('#pt_nb_lines').val());
	var line_height = encodeURIComponent(jQuery('#pt_line_height').val());
	var columns_width = encodeURIComponent(jQuery('#pt_columns_width').val());
	var caption_columns_width = encodeURIComponent(jQuery('#pt_caption_columns_width').val());
	var currency = encodeURIComponent(jQuery('#pt_currency').val());
	var caption_column_state = encodeURIComponent(jQuery('#pt_caption_column_state').val());
	
	if(name==''||nb_columns==''||nb_lines=='') {
		alert('Please complete the mandatory fields');
		jQuery("#pt_save_pricing_table_btn").removeAttr('disabled');
		exit();
	}
	
	jQuery.ajax({
		type: 'POST',
		url: Pricing_wpress.ajaxurl,
		data: 'action=pricing_wpress_listener&method=save_pricing_table_structure&name='+name+'&nb_columns='+nb_columns+'&nb_lines='+nb_lines+'&line_height='+line_height+'&columns_width='+columns_width+'&caption_columns_width='+caption_columns_width+'&currency='+currency+'&caption_column_state='+caption_column_state+'&id='+id,
		success: function(msg) {
			//alert(msg);
			if(msg!='') window.location = Pricing_wpress.admin_url+'admin.php?page=pricing-wpress-edit-content&id='+msg;
			else {
				alert('An error happened adding your table');
				jQuery("#pt_save_pricing_table_btn").removeAttr('disabled');
			}
		}
	});
});

jQuery(".pt_delete_table_btn").live('click', function(event) {
	event.preventDefault();

	if (confirm("Are you sure you want to delete this table?")) {
		var id = jQuery(this).attr('id');
		jQuery.ajax({
			type: 'POST',
			url: Pricing_wpress.ajaxurl,
			data: 'action=pricing_wpress_listener&method=delete_table&id='+id,
			success: function(msg) {
				window.location.reload();
			}
		});
	}
});

jQuery("#pt_save_content_btn").live('click', function(event) {
	event.preventDefault();
	
	var id = jQuery('#pt_id').val();
	var nb_columns = jQuery('#pt_nb_columns').val();
	var nb_lines = jQuery('#pt_nb_lines').val();
	
	var i;
	var j;
	var pt_content = {};
	var caption_header;
	var caption_title = new Array();
	var column_title = new Array();
	var column_price = new Array();
	var column_note = new Array();
	var line = new Array();
	var button_title = new Array();
	var button_link = new Array();
	
	//price table content
	caption_header = escape(encodeURIComponent(jQuery('#pt_caption_header').val()));
	if(caption_header==='undefined') caption_header='';
	
	if(nb_columns>0 && nb_lines>0) {
		
		//all caption titles
		for(i=1; i<=nb_lines; i++) {
			caption_title[i] = encodeURIComponent(jQuery('#pt_caption_title_'+i).val());
			if(caption_title[i]==='undefined') caption_title[i]='';
		}
		
		for(i=1; i<=nb_columns; i++) {
			line[i] = new Array();
			column_title[i] = escape(encodeURIComponent(jQuery('#pt_column_title_'+i).val()));
			column_price[i] = escape(encodeURIComponent(jQuery('#pt_column_price_'+i).val()));
			column_note[i] = escape(encodeURIComponent(jQuery('#pt_column_note_'+i).val()));
			button_title[i] = escape(encodeURIComponent(jQuery('#pt_button_title_'+i).val()));
			button_link[i] = escape(encodeURIComponent(jQuery('#pt_button_link_'+i).val()));
			for(j=1; j<=nb_lines; j++) {
				line[i][j] = escape(encodeURIComponent(jQuery('#pt_line_c'+i+'_l'+j).val()));
			}
		}
	}
	
	pt_content.nb_columns = nb_columns;
	pt_content.nb_lines = nb_lines;
	pt_content.caption_header = caption_header;
	pt_content.caption_title = caption_title;
	pt_content.column_title = column_title;
	pt_content.column_price = column_price;
	pt_content.column_note = column_note;
	pt_content.button_title = button_title;
	pt_content.button_link = button_link;
	pt_content.line = line;
	
	jQuery.ajax({
		type: 'POST',
		url: Pricing_wpress.ajaxurl,
		data: 'action=pricing_wpress_listener&method=save_table_content&content='+JSON.stringify(pt_content)+'&nb_columns='+nb_columns+'&nb_lines='+nb_lines+'&id='+id,
		success: function(msg) {
			//alert(msg);
			window.location = Pricing_wpress.admin_url+'admin.php?page=pricing-wpress-view&id='+id;
		}
	});
});