<?php

class Pricing_wpress_display {
	
	
	function Pricing_wpress_display() {
		
	}
	
	function add_scripts() {
		if(self::$js_flag) {
			self::add_script2();
		}
	}
	
	function get_pricing_table($id) {
		
		$db1 = new Pricing_wpress_db();
		$pricing_table = $db1->get_pricing_tables(array('id'=>$id));
		
		$display='';
		
		if(count($pricing_table)>0) {
			$name = $pricing_table[0]['name'];
			$pricing_table = $pricing_table[0]['pricing_table'];
			
			$yes_icon = '<img src="'.plugin_dir_url( __FILE__ ).'include/graph/yes.png" border=0>';
			$no_icon = '<img src="'.plugin_dir_url( __FILE__ ).'include/graph/no.png" border=0>';
			
			$pricing_table = json_decode($pricing_table,true);
			
			$nb_columns = $pricing_table['nb_columns'];
			$nb_lines = $pricing_table['nb_lines'];
			$line_height = $pricing_table['line_height'];
			$columns_width = $pricing_table['columns_width'];
			$caption_columns_width = $pricing_table['caption_columns_width'];
			$currency = $pricing_table['currency'];
			$caption_column_state = $pricing_table['caption_column_state'];
			
			if($line_height=='') $line_height = '35';
			if($columns_width=='') $columns_width = '240';
			if($caption_columns_width=='') $caption_columns_width = '280';
			
			$table_content = $pricing_table['content'];
			
			if($nb_columns>0 && $nb_lines>0 && $columns_width>0 && $caption_columns_width>0) {
				
				
				$display .= '<div class="p_table">';
					
					$caption_header_tab = explode(' ', $table_content['caption_header']);
					
					if($caption_column_state!='1') {
						//caption columns
						$display .= '<div class="caption_column" style="width:'.$caption_columns_width.'px;">';
							$display .= '<ul>';
								//column header
								$display .= '<li class="header_row_1 align_center radius5_topleft"></li>';
								//$display .= '<li class="header_row_2"><div class="caption hh2">choose <span>your</span> plan</div></li>';
								$display .= '<li class="header_row_2"><div class="caption hh2">';
								for($i=0; $i<count($caption_header_tab); $i++) {
									if($i==1) $display .= '<span>'.$caption_header_tab[$i].'</span> ';
									else $display .= $caption_header_tab[$i].' ';
								}
								$display .= '</div></li>';
								//data rows
								for($i=1; $i<=$nb_lines; $i++) {
									if(($i%2)==0) $class='row_style_2';
									else $class='row_style_4';
									$display .= '<li style="height:'.$line_height.'px" class="'.$class.'"><span>'.$table_content['caption_title'][$i].'</span></li>';
								}
								//column footer
								$display .= '<li class="footer_row"></li>';
							$display .= '</ul>';
						$display .= '</div>';
					}
					
					for($i=1; $i<=$nb_columns; $i++) {
						
						$display .= '<div class="column_'.$i.'" style="width:'.$columns_width.'px;">';
							$display .= '<ul>';
								$display .= '<li class="header_row_1 align_center"><div class="col1 hh2">'.$table_content['column_title'][$i].'</div></li>';
								$display .= '<li class="header_row_2 align_center"><div class="col1 hh1" style="margin-bottom:10px;"><font style="font-size:20px;">'.$currency.'</font><span>'.$table_content['column_price'][$i].'</span></div><div class="col1 hh3">'.$table_content['column_note'][$i].'</div></li>';
								
								for($j=1; $j<=$nb_lines; $j++) {
									$line = $table_content['line'][$i][$j];
									
									if($line=='{yes}') $line=$yes_icon;
									elseif($line=='{no}') $line=$no_icon;
									
									if(($i%2)==0) {
										if(($j%2)==0) $class='row_style_2';
										else $class='row_style_4';
									}
									else {
										if(($j%2)==0) $class='row_style_1';
										else $class='row_style_3';
									}
									
									$display .= '<li style="height:'.$line_height.'px" class="'.$class.' align_center"><span>'.$line.'</span></li>';
								}
								
								$display .= '<li class="footer_row">';
								
								if($table_content['button_title'][$i]!='' && $table_content['button_link'][$i]!='') {
									$display .= '<a href="'.$table_content['button_link'][$i].'" class="sign_up radius3">';
									$display .= $table_content['button_title'][$i];
									$display .= '</a>';
								}
								
								$display .= '</li>';
								
							$display .= '</ul>';
						$display .= '</div>';
					}
					
				$display .= '</div>';
			}
		}
		
		return $display;
	}
	
}

new Pricing_wpress_display();

?>